Bug 961506 - getfattr can hang when trying to get an attribute that doesn't exist
getfattr can hang when trying to get an attribute that doesn't exist
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
3.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 14:45 EDT by Michael Brown
Modified: 2014-12-14 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Brown 2013-05-09 14:45:13 EDT
Description of problem:
getfattr will hang

Version-Release number of selected component (if applicable):
3.3.1

How reproducible:
100%

Steps to Reproduce:
1. Configure replicated volume
2. mount via fuse
3. sudo getfattr -d -e hex /fuse/filename -n trusted.afr
  
Actual results:
getfattr hangs

Expected results:
trusted.afr: No such attribute

Additional info:
[global.callpool.stack.1.frame.1]
ref_count=1
translator=fuse
complete=0

[global.callpool.stack.1.frame.2]
ref_count=0
translator=gv0-replicate-7
complete=0
parent=gv0-dht
wind_from=dht_getxattr
wind_to=subvol->fops->getxattr
unwind_to=dht_getxattr_cbk

[global.callpool.stack.1.frame.3]
ref_count=1
translator=gv0-dht
complete=0
parent=gv0-write-behind
wind_from=default_getxattr
wind_to=FIRST_CHILD(this)->fops->getxattr
unwind_to=default_getxattr_cbk

[global.callpool.stack.1.frame.4]
ref_count=1
translator=gv0-write-behind
complete=0
parent=gv0-read-ahead
wind_from=default_getxattr
wind_to=FIRST_CHILD(this)->fops->getxattr
unwind_to=default_getxattr_cbk
Comment 1 Niels de Vos 2014-11-27 09:54:25 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.